LANGS = {
	en = true,
	fr = true,
	de = true,
	es = true
}

CLASSES = {
	warrior = true,
	warlock = true,
	druid = true,
	hunter = true,
	mage = true,
	priest = true,
	shaman = true,
	rogue = true,
	paladin = true,
}

DATA_URL_P = "http://www.wow-europe.com/shared/global/talents/%s/%s/data.js"
OUTFILE_P = "data-%s-%s.js"

local function download(src, dst)
	os.execute(string.format("curl -s -o %s %s", dst, src))
end


for lang in pairs(LANGS) do
	for class in pairs(CLASSES) do
		local url = string.format(DATA_URL_P, class, lang)
		local out = string.format(OUTFILE_P, class, lang)
		
		download(url, out)
	end
end

KOKR_URL_P = "http://www.worldofwarcraft.co.kr/info/basics/classes/%s/data.js"

KOKR_CLASS_MAP = {
	warrior = "warriors",
	warlock = "warlocks",
	druid = "druids",
	hunter = "hunters",
	mage = "mages",
	priest = "priests",
	shaman = "shaman",
	rogue = "rogues",
	paladin = "paladins",
}

for class in pairs(CLASSES) do
	local url = string.format(KOKR_URL_P, KOKR_CLASS_MAP[class])
	local out = string.format(OUTFILE_P, class, "kr")
	
	download(url, out)
end



ENUS_URL_P = "http://www.worldofwarcraft.com/shared/global/talents/%s/data.js"

for class in pairs(CLASSES) do
	local url = string.format(ENUS_URL_P, class)
	local out = string.format(OUTFILE_P, class, "us")
	
	download(url, out)
end
